### Type parameters

- #### T

### Hierarchy

- IAtomComponent

### Implemented by

- AtomAlertWindow
- AtomComboBox
- AtomComponent
- AtomContentControl
- AtomControl
- AtomFrame
- AtomGridSplitter
- AtomGridView
- AtomItemsControl
- AtomListBox
- AtomNotification
- AtomPage
- AtomPageLink
- AtomTabbedPage
- AtomTemplate
- AtomTemplateControl
- AtomToggleButtonBar
- AtomViewPager
- AtomViewStack
- AtomWindow
- AtomWindowFrameTemplate
- AtomXFControl
- MovieList
- Page1
- TabHost
- WindowSample

## Index

### Properties

- app
- data
- element
- localViewModel
- viewModel

### Methods

- hasProperty
- runAfterInit
- setLocalValue

## Properties

### app

app: App

- Defined in src/core/AtomComponent.ts:33

### data

data: any

- Defined in src/core/AtomComponent.ts:30

### element

element: T

- Defined in src/core/AtomComponent.ts:29

### localViewModel

localViewModel: any

- Defined in src/core/AtomComponent.ts:32

### viewModel

viewModel: any

- Defined in src/core/AtomComponent.ts:31

## Methods

### hasProperty

- hasProperty(name: string): any

- - Defined in src/core/AtomComponent.ts:35

  #### Parameters

  - ##### name: string

  #### Returns any

### runAfterInit

- runAfterInit(f: function): void

- - Defined in src/core/AtomComponent.ts:36

  #### Parameters

  - ##### f: function

    - - (): void

      - #### Returns void

### setLocalValue

- setLocalValue(e: T, name: string, value: any): void

- - Defined in src/core/AtomComponent.ts:34

  #### Parameters

  - ##### e: T

  - ##### name: string

  - ##### value: any

  #### Returns void

Generated using TypeDoc